Skip to main content

Forward Return Order API:

Description : Use this API to create a return order.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/create_return
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/create_return' \
--header 'rapidshyp-token: <API-KEY>' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "ret_4",
"orderDate": "2025-02-02",
"pickupLocation": {
"pickup_customer_name": "Avdhesh Test",
"pickup_customer_last_name": "Test",
"pickup_email": "test9088@youpmail.com",
"pickup_phone": "9999999999",
"pickup_address": "Noida Test 001",
"pickup_address_2": "Test Address",
"pickup_pincode": "110001"
},
"storeName": "DEFAULT",
"return_reason_code": "",
"deliveryAddress_name": "rajesh test",
"deliveryAddress": {
"deliverylocation_name": "",
"contact_name": "AVdheshjj",
"delivery_address1": "Address Kumar opts hhhhhh jj knlllllll",
"delivery_address2": "",
"pincode": "110001",
"delivery_email": "email@gmail.com",
"delivery_phone": "9999999999"
},
"orderItems": [
{
"itemName": "TESTINGQ",
"sku": "",
"units": 3,
"unitPrice": 20.0,
"tax": 10.0,
"hsn": "",
"productLength": 10.0,
"productBreadth": 5.0,
"productHeight": 2.0,
"productWeight": 2000.0,
"brand": ""
},
{
"itemName": "TESTINGQa",
"sku": "Test",
"units": 2,
"unitPrice": 50.0,
"tax": 0.0,
"hsn": "HSN456",
"productLength": 11.0,
"productBreadth": 12.0,
"productHeight": 12.0,
"productWeight": 3.0,
"brand": ""
}
],
"packageDetails": {
"packageLength": 11.0,
"packageBreadth": 21.0,
"packageHeight": 21.0,
"packageWeight": 1100
},
"comment": ""
}'

Request Parameters:

Request ParametersRequiredRemarkValidationValue from cURL
orderIdMandatorySeller order ID on channel/store/websiteMinimum 1 characterret_4
orderDateMandatoryOrder created date on channel/store/websiteFormat: YYYY-MM-DD2025-02-02
pickupLocationMandatoryPickup location details
pickup_customer_nameMandatoryCustomer first nameCombined first + last name length 3–75Avdhesh Test
pickup_customer_last_nameNon-MandatoryCustomer last nameTest
pickup_emailNon-MandatoryCustomer emailtest9088@youpmail.com
pickup_phoneMandatoryCustomer phone numberMust start with 6,7,8,99999999999
pickup_addressMandatoryPickup address line 13–100 charactersNoida Test 001
pickup_address_2Non-MandatoryPickup address line 23–100 characters if presentWahi pr chale jao tum chup chap
pickup_pincodeMandatoryCustomer pincodeMust be 6 digit110001
storeNameMandatoryStore name created on RapidshypDefault valueDEFAULT
return_reason_codeNon-MandatoryIf blank, “others” is passed as return reasonReturn reason code sheet""
deliveryAddress_nameMandatoryMapped delivery location (warehouse name)rajesh test
deliveryAddressConditionalDelivery address details
deliverylocation_nameConditionalNot required if Rapidshyp warehouse used""
contact_nameConditionalDelivery contact personAVdheshjj
delivery_address1ConditionalDelivery address line 1Address Kumar opts hhhhhh jj knlllllll
delivery_address2Non-MandatoryDelivery address line 2""
pincodeConditionalDelivery pincode6 digit110001
delivery_emailNon-MandatoryDelivery emailemail@gmail.com
delivery_phoneConditionalDelivery phone9999999999
orderItemsMandatoryItem level details
itemNameMandatoryItem name3–200 charactersTESTINGQ / TESTINGQa
skuNon-MandatorySKU ID3–200 characters"" / Test
unitsMandatoryQuantity of itemsMust be > 03 / 2
unitPriceMandatoryUnit price inclusive of taxes20.0 / 50.0
taxNon-MandatoryTax amountPass 0 if zero tax10.0 / 0.0
hsnNon-MandatoryHSN code"" / HSN456
productLengthNon-MandatoryProduct lengthIn cm10.0 / 11.0
productBreadthNon-MandatoryProduct breadthIn cm5.0 / 12.0
productHeightNon-MandatoryProduct heightIn cm2.0 / 12.0
productWeightNon-MandatoryProduct weightIn gm2000.0 / 3.0
brandNon-MandatoryBrand name""
packageDetailsMandatoryPackage details
packageLengthMandatoryPackage lengthIn cm11
packageBreadthMandatoryPackage breadthIn cm21
packageHeightMandatoryPackage heightIn cm21
packageWeightMandatoryPackage weightIn gm1100
commentNon-MandatoryCustom comment""

Response:

JSON

{
"status": "success",
"remark": "Return order created successfully",
"order_id": "ret_247",
"shipment": [
{
"shipment_id": "RS2603906",
"total_value": 160.0,
"shipment_items": [
{
"name": "TESTINGQ",
"sku": "TESTINGQ",
"units": 3,
"selling_price": 60.0
},
{
"name": "TESTINGQa",
"sku": "Test",
"units": 2,
"selling_price": 100.0
}
]
}
]
}